Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.geom
Class Rectangle2D.Float

    java.lang.Object
      |
      +--java.awt.geom.RectangularShape
            |
            +--java.awt.geom.Rectangle2D
                  |
                  +--java.awt.geom.Rectangle2D.Float

All Implemented Interfaces:
  Cloneable, Shape

Enclosing class:
  Rectangle2D

public static class Rectangle2D.Float
extends Rectangle2D

The `Float` class defines a rectangle specified in float coordinates.

Since:
  1.2

Nested Class Summary

Nested classes inherited from class java.awt.geom.Rectangle2D
`Rectangle2D.Double, Rectangle2D.Float`

Field Summary
`float` | `height` The height of this `Rectangle2D`.
`float` | `width` The width of this `Rectangle2D`.
`float` | `x` The x coordinate of this `Rectangle2D`.
`float` | `y` The y coordinate of this `Rectangle2D`.

Fields inherited from class java.awt.geom.Rectangle2D
`OUT_BOTTOM, OUT_LEFT, OUT_RIGHT, OUT_TOP`

Constructor Summary
`Rectangle2D.Float()` Constructs a new `Rectangle2D`, initialized to location (0.0, 0.0) and size (0.0, 0.0).
`Rectangle2D.Float(float x, float y, float w, float h)` Constructs and initializes a `Rectangle2D` from the specified float coordinates.

Method Summary
`Rectangle2D` | `createIntersection(Rectangle2D r)` Returns a new `Rectangle2D` object representing the intersection of this `Rectangle2D` with the specified `Rectangle2D`.
`Rectangle2D` | `createUnion(Rectangle2D r)` Returns a new `Rectangle2D` object representing the union of this `Rectangle2D` with the specified `Rectangle2D`.
`Rectangle2D` | `getBounds2D()` Returns the high precision bounding box of this `Rectangle2D`.
`double` | `getHeight()` Returns the height of this `Rectangle2D` in double precision.
`double` | `getWidth()` Returns the width of this `Rectangle2D` in double precision.
`double` | `getX()` Returns the X coordinate of this `Rectangle2D` in double precision.
`double` | `getY()` Returns the Y coordinate of this `Rectangle2D` in double precision.
`boolean` | `isEmpty()` Determines whether or not this `Rectangle2D` is empty.
`int` | `outcode(double x, double y)` Determines where the specified float coordinates lie with respect to this `Rectangle2D`.
`void` | `setRect(double x, double y, double w, double h)` Sets the location and size of this `Rectangle2D` to the specified double values.
`void` | `setRect(float x, float y, float w, float h)` Sets the location and size of this `Rectangle2D` to the specified float values.
`void` | `setRect(Rectangle2D r)` Sets this `Rectangle2D` to be the same as the specified `Rectangle2D`.
`String` | `toString()` Returns the `String` representation of this `Rectangle2D`.

Methods inherited from class java.awt.geom.Rectangle2D
`add, add, add, contains, contains, equals, getPathIterator, getPathIterator, hashCode, intersect, intersects, intersectsLine, intersectsLine, outcode, setFrame, union`

Methods inherited from class java.awt.geom.RectangularShape
`clone, contains, contains, getBounds, getCenterX, getCenterY, getFrame, getMaxX, getMaxY, getMinX, getMinY, intersects, setFrame, setFrame, setFrameFromCenter, setFrameFromCenter, setFrameFromDiagonal, setFrameFromDiagonal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public float x

  The x coordinate of this `Rectangle2D`.

  Since:
    1.2

### y

    public float y

  The y coordinate of this `Rectangle2D`.

  Since:
    1.2

### width

    public float width

  The width of this `Rectangle2D`.

  Since:
    1.2

### height

    public float height

  The height of this `Rectangle2D`.

  Since:
    1.2

Constructor Detail

### Rectangle2D.Float

    public Rectangle2D.Float()

  Constructs a new `Rectangle2D`, initialized to location (0.0, 0.0) and size (0.0, 0.0).

Since:
  1.2

### Rectangle2D.Float

    public Rectangle2D.Float(float x,
                             float y,
                             float w,
                             float h)

  Constructs and initializes a `Rectangle2D` from the specified float coordinates.

Parameters:
  `w` - the width of the newly constructed `Rectangle2D`
  `h` - the height of the newly constructed `Rectangle2D`
Since:
  1.2

Method Detail

### getX

    public double getX()

  Returns the X coordinate of this `Rectangle2D` in double precision.

  Specified by:
    `getX` in class `RectangularShape`
  Returns:
    the X coordinate of this `Rectangle2D`.
  Since:
    1.2

### getY

    public double getY()

  Returns the Y coordinate of this `Rectangle2D` in double precision.

  Specified by:
    `getY` in class `RectangularShape`
  Returns:
    the Y coordinate of this `Rectangle2D`.
  Since:
    1.2

### getWidth

    public double getWidth()

  Returns the width of this `Rectangle2D` in double precision.

  Specified by:
    `getWidth` in class `RectangularShape`
  Returns:
    the width of this `Rectangle2D`.
  Since:
    1.2

### getHeight

    public double getHeight()

  Returns the height of this `Rectangle2D` in double precision.

  Specified by:
    `getHeight` in class `RectangularShape`
  Returns:
    the height of this `Rectangle2D`.
  Since:
    1.2

### isEmpty

    public boolean isEmpty()

  Determines whether or not this `Rectangle2D` is empty.

  Specified by:
    `isEmpty` in class `RectangularShape`
  Returns:
    `true` if this `Rectangle2D` is empty; `false` otherwise.
  Since:
    1.2

### setRect

    public void setRect(float x,
                        float y,
                        float w,
                        float h)

  Sets the location and size of this `Rectangle2D` to the specified float values.

  Parameters:
    `w` - the value to use to set the width of this `Rectangle2D`
    `h` - the value to use to set the height of this `Rectangle2D`
  Since:
    1.2

### setRect

    public void setRect(double x,
                        double y,
                        double w,
                        double h)

  Sets the location and size of this `Rectangle2D` to the specified double values.

  Specified by:
    `setRect` in class `Rectangle2D`
  Parameters:
    `w` - the value to use to set the width of this `Rectangle2D`
    `h` - the value to use to set the height of this `Rectangle2D`
  Since:
    1.2

### setRect

    public void setRect(Rectangle2D r)

  Sets this `Rectangle2D` to be the same as the specified `Rectangle2D`.

  Overrides:
    `setRect` in class `Rectangle2D`
  Parameters:
    `r` - the specified `Rectangle2D`
  Since:
    1.2

### outcode

    public int outcode(double x,
                       double y)

  Determines where the specified float coordinates lie with respect to this `Rectangle2D`. This method computes a binary OR of the appropriate mask values indicating, for each side of this `Rectangle2D`, whether or not the specified coordinates are on the same side of the edge as the rest of this `Rectangle2D`.

  Specified by:
    `outcode` in class `Rectangle2D`
  Returns:
    the logical OR of all appropriate out codes.
  Since:
    1.2
  See Also:
    `Rectangle2D.OUT_LEFT`, `Rectangle2D.OUT_TOP`, `Rectangle2D.OUT_RIGHT`, `Rectangle2D.OUT_BOTTOM`

### getBounds2D

    public Rectangle2D getBounds2D()

  Returns the high precision bounding box of this `Rectangle2D`.

  Specified by:
    `getBounds2D` in interface `Shape`
  Overrides:
    `getBounds2D` in class `Rectangle2D`
  Returns:
    the bounding box of this `Rectangle2D`.
  Since:
    1.2

### createIntersection

    public Rectangle2D createIntersection(Rectangle2D r)

  Returns a new `Rectangle2D` object representing the intersection of this `Rectangle2D` with the specified `Rectangle2D`.

  Specified by:
    `createIntersection` in class `Rectangle2D`
  Parameters:
    `r` - the `Rectangle2D` that is intersected with this `Rectangle2D`
  Returns:
    the largest `Rectangle2D` contained in both the specified `Rectangle2D` and in this `Rectangle2D`.
  Since:
    1.2

### createUnion

    public Rectangle2D createUnion(Rectangle2D r)

  Returns a new `Rectangle2D` object representing the union of this `Rectangle2D` with the specified `Rectangle2D`.

  Specified by:
    `createUnion` in class `Rectangle2D`
  Parameters:
    `r` - the `Rectangle2D` to be combined with this `Rectangle2D`
  Returns:
    the smallest `Rectangle2D` containing both the specified `Rectangle2D` and this `Rectangle2D`.
  Since:
    1.2

### toString

    public String toString()

  Returns the `String` representation of this `Rectangle2D`.

  Overrides:
    `toString` in class `Object`
  Returns:
    a `String` representing this `Rectangle2D`.
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.